## org.eclipse.uml2.uml
Interface UMLFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface UMLFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `UMLPackage`

Field Summary
`static UMLFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`Abstraction` `createAbstraction()` Returns a new object of class 'Abstraction'
`AcceptCallAction` `createAcceptCallAction()` Returns a new object of class 'Accept Call Action'
`AcceptEventAction` `createAcceptEventAction()` Returns a new object of class 'Accept Event Action'
`ActionExecutionSpecification` `createActionExecutionSpecification()` Returns a new object of class 'Action Execution Specification'
`ActionInputPin` `createActionInputPin()` Returns a new object of class 'Action Input Pin'
`Activity` `createActivity()` Returns a new object of class 'Activity'
`ActivityFinalNode` `createActivityFinalNode()` Returns a new object of class 'Activity Final Node'
`ActivityParameterNode` `createActivityParameterNode()` Returns a new object of class 'Activity Parameter Node'
`ActivityPartition` `createActivityPartition()` Returns a new object of class 'Activity Partition'
`Actor` `createActor()` Returns a new object of class 'Actor'
`AddStructuralFeatureValueAction` `createAddStructuralFeatureValueAction()` Returns a new object of class 'Add Structural Feature Value Action'
`AddVariableValueAction` `createAddVariableValueAction()` Returns a new object of class 'Add Variable Value Action'
`AnyReceiveEvent` `createAnyReceiveEvent()` Returns a new object of class 'Any Receive Event'
`Artifact` `createArtifact()` Returns a new object of class 'Artifact'
`Association` `createAssociation()` Returns a new object of class 'Association'
`AssociationClass` `createAssociationClass()` Returns a new object of class 'Association Class'
`BehaviorExecutionSpecification` `createBehaviorExecutionSpecification()` Returns a new object of class 'Behavior Execution Specification'
`BroadcastSignalAction` `createBroadcastSignalAction()` Returns a new object of class 'Broadcast Signal Action'
`CallBehaviorAction` `createCallBehaviorAction()` Returns a new object of class 'Call Behavior Action'
`CallEvent` `createCallEvent()` Returns a new object of class 'Call Event'
`CallOperationAction` `createCallOperationAction()` Returns a new object of class 'Call Operation Action'
`CentralBufferNode` `createCentralBufferNode()` Returns a new object of class 'Central Buffer Node'
`ChangeEvent` `createChangeEvent()` Returns a new object of class 'Change Event'
`Class` `createClass()` Returns a new object of class 'Class'
`ClassifierTemplateParameter` `createClassifierTemplateParameter()` Returns a new object of class 'Classifier Template Parameter'
`Clause` `createClause()` Returns a new object of class 'Clause'
`ClearAssociationAction` `createClearAssociationAction()` Returns a new object of class 'Clear Association Action'
`ClearStructuralFeatureAction` `createClearStructuralFeatureAction()` Returns a new object of class 'Clear Structural Feature Action'
`ClearVariableAction` `createClearVariableAction()` Returns a new object of class 'Clear Variable Action'
`Collaboration` `createCollaboration()` Returns a new object of class 'Collaboration'
`CollaborationUse` `createCollaborationUse()` Returns a new object of class 'Collaboration Use'
`CombinedFragment` `createCombinedFragment()` Returns a new object of class 'Combined Fragment'
`Comment` `createComment()` Returns a new object of class 'Comment'
`CommunicationPath` `createCommunicationPath()` Returns a new object of class 'Communication Path'
`Component` `createComponent()` Returns a new object of class 'Component'
`ComponentRealization` `createComponentRealization()` Returns a new object of class 'Component Realization'
`ConditionalNode` `createConditionalNode()` Returns a new object of class 'Conditional Node'
`ConnectableElementTemplateParameter` `createConnectableElementTemplateParameter()` Returns a new object of class 'Connectable Element Template Parameter'
`ConnectionPointReference` `createConnectionPointReference()` Returns a new object of class 'Connection Point Reference'
`Connector` `createConnector()` Returns a new object of class 'Connector'
`ConnectorEnd` `createConnectorEnd()` Returns a new object of class 'Connector End'
`ConsiderIgnoreFragment` `createConsiderIgnoreFragment()` Returns a new object of class 'Consider Ignore Fragment'
`Constraint` `createConstraint()` Returns a new object of class 'Constraint'
`Continuation` `createContinuation()` Returns a new object of class 'Continuation'
`ControlFlow` `createControlFlow()` Returns a new object of class 'Control Flow'
`CreateLinkAction` `createCreateLinkAction()` Returns a new object of class 'Create Link Action'
`CreateLinkObjectAction` `createCreateLinkObjectAction()` Returns a new object of class 'Create Link Object Action'
`CreateObjectAction` `createCreateObjectAction()` Returns a new object of class 'Create Object Action'
`CreationEvent` `createCreationEvent()` Returns a new object of class 'Creation Event'
`DataStoreNode` `createDataStoreNode()` Returns a new object of class 'Data Store Node'
`DataType` `createDataType()` Returns a new object of class 'Data Type'
`DecisionNode` `createDecisionNode()` Returns a new object of class 'Decision Node'
`Dependency` `createDependency()` Returns a new object of class 'Dependency'
`Deployment` `createDeployment()` Returns a new object of class 'Deployment'
`DeploymentSpecification` `createDeploymentSpecification()` Returns a new object of class 'Deployment Specification'
`DestroyLinkAction` `createDestroyLinkAction()` Returns a new object of class 'Destroy Link Action'
`DestroyObjectAction` `createDestroyObjectAction()` Returns a new object of class 'Destroy Object Action'
`DestructionEvent` `createDestructionEvent()` Returns a new object of class 'Destruction Event'
`Device` `createDevice()` Returns a new object of class 'Device'
`Duration` `createDuration()` Returns a new object of class 'Duration'
`DurationConstraint` `createDurationConstraint()` Returns a new object of class 'Duration Constraint'
`DurationInterval` `createDurationInterval()` Returns a new object of class 'Duration Interval'
`DurationObservation` `createDurationObservation()` Returns a new object of class 'Duration Observation'
`ElementImport` `createElementImport()` Returns a new object of class 'Element Import'
`Enumeration` `createEnumeration()` Returns a new object of class 'Enumeration'
`EnumerationLiteral` `createEnumerationLiteral()` Returns a new object of class 'Enumeration Literal'
`ExceptionHandler` `createExceptionHandler()` Returns a new object of class 'Exception Handler'
`ExecutionEnvironment` `createExecutionEnvironment()` Returns a new object of class 'Execution Environment'
`ExecutionEvent` `createExecutionEvent()` Returns a new object of class 'Execution Event'
`ExecutionOccurrenceSpecification` `createExecutionOccurrenceSpecification()` Returns a new object of class 'Execution Occurrence Specification'
`ExpansionNode` `createExpansionNode()` Returns a new object of class 'Expansion Node'
`ExpansionRegion` `createExpansionRegion()` Returns a new object of class 'Expansion Region'
`Expression` `createExpression()` Returns a new object of class 'Expression'
`Extend` `createExtend()` Returns a new object of class 'Extend'
`Extension` `createExtension()` Returns a new object of class 'Extension'
`ExtensionEnd` `createExtensionEnd()` Returns a new object of class 'Extension End'
`ExtensionPoint` `createExtensionPoint()` Returns a new object of class 'Extension Point'
`FinalState` `createFinalState()` Returns a new object of class 'Final State'
`FlowFinalNode` `createFlowFinalNode()` Returns a new object of class 'Flow Final Node'
`ForkNode` `createForkNode()` Returns a new object of class 'Fork Node'
`FunctionBehavior` `createFunctionBehavior()` Returns a new object of class 'Function Behavior'
`Gate` `createGate()` Returns a new object of class 'Gate'
`Generalization` `createGeneralization()` Returns a new object of class 'Generalization'
`GeneralizationSet` `createGeneralizationSet()` Returns a new object of class 'Generalization Set'
`GeneralOrdering` `createGeneralOrdering()` Returns a new object of class 'General Ordering'
`Image` `createImage()` Returns a new object of class 'Image'
`Include` `createInclude()` Returns a new object of class 'Include'
`InformationFlow` `createInformationFlow()` Returns a new object of class 'Information Flow'
`InformationItem` `createInformationItem()` Returns a new object of class 'Information Item'
`InitialNode` `createInitialNode()` Returns a new object of class 'Initial Node'
`InputPin` `createInputPin()` Returns a new object of class 'Input Pin'
`InstanceSpecification` `createInstanceSpecification()` Returns a new object of class 'Instance Specification'
`InstanceValue` `createInstanceValue()` Returns a new object of class 'Instance Value'
`Interaction` `createInteraction()` Returns a new object of class 'Interaction'
`InteractionConstraint` `createInteractionConstraint()` Returns a new object of class 'Interaction Constraint'
`InteractionOperand` `createInteractionOperand()` Returns a new object of class 'Interaction Operand'
`InteractionUse` `createInteractionUse()` Returns a new object of class 'Interaction Use'
`Interface` `createInterface()` Returns a new object of class 'Interface'
`InterfaceRealization` `createInterfaceRealization()` Returns a new object of class 'Interface Realization'
`InterruptibleActivityRegion` `createInterruptibleActivityRegion()` Returns a new object of class 'Interruptible Activity Region'
`Interval` `createInterval()` Returns a new object of class 'Interval'
`IntervalConstraint` `createIntervalConstraint()` Returns a new object of class 'Interval Constraint'
`JoinNode` `createJoinNode()` Returns a new object of class 'Join Node'
`Lifeline` `createLifeline()` Returns a new object of class 'Lifeline'
`LinkEndCreationData` `createLinkEndCreationData()` Returns a new object of class 'Link End Creation Data'
`LinkEndData` `createLinkEndData()` Returns a new object of class 'Link End Data'
`LinkEndDestructionData` `createLinkEndDestructionData()` Returns a new object of class 'Link End Destruction Data'
`LiteralBoolean` `createLiteralBoolean()` Returns a new object of class 'Literal Boolean'
`LiteralInteger` `createLiteralInteger()` Returns a new object of class 'Literal Integer'
`LiteralNull` `createLiteralNull()` Returns a new object of class 'Literal Null'
`LiteralString` `createLiteralString()` Returns a new object of class 'Literal String'
`LiteralUnlimitedNatural` `createLiteralUnlimitedNatural()` Returns a new object of class 'Literal Unlimited Natural'
`LoopNode` `createLoopNode()` Returns a new object of class 'Loop Node'
`Manifestation` `createManifestation()` Returns a new object of class 'Manifestation'
`MergeNode` `createMergeNode()` Returns a new object of class 'Merge Node'
`Message` `createMessage()` Returns a new object of class 'Message'
`MessageOccurrenceSpecification` `createMessageOccurrenceSpecification()` Returns a new object of class 'Message Occurrence Specification'
`Model` `createModel()` Returns a new object of class 'Model'
`Node` `createNode()` Returns a new object of class 'Node'
`ObjectFlow` `createObjectFlow()` Returns a new object of class 'Object Flow'
`OccurrenceSpecification` `createOccurrenceSpecification()` Returns a new object of class 'Occurrence Specification'
`OpaqueAction` `createOpaqueAction()` Returns a new object of class 'Opaque Action'
`OpaqueBehavior` `createOpaqueBehavior()` Returns a new object of class 'Opaque Behavior'
`OpaqueExpression` `createOpaqueExpression()` Returns a new object of class 'Opaque Expression'
`Operation` `createOperation()` Returns a new object of class 'Operation'
`OperationTemplateParameter` `createOperationTemplateParameter()` Returns a new object of class 'Operation Template Parameter'
`OutputPin` `createOutputPin()` Returns a new object of class 'Output Pin'
`Package` `createPackage()` Returns a new object of class 'Package'
`PackageImport` `createPackageImport()` Returns a new object of class 'Package Import'
`PackageMerge` `createPackageMerge()` Returns a new object of class 'Package Merge'
`Parameter` `createParameter()` Returns a new object of class 'Parameter'
`ParameterSet` `createParameterSet()` Returns a new object of class 'Parameter Set'
`PartDecomposition` `createPartDecomposition()` Returns a new object of class 'Part Decomposition'
`Pin` `createPin()` Returns a new object of class 'Pin'
`Port` `createPort()` Returns a new object of class 'Port'
`PrimitiveType` `createPrimitiveType()` Returns a new object of class 'Primitive Type'
`Profile` `createProfile()` Returns a new object of class 'Profile'
`ProfileApplication` `createProfileApplication()` Returns a new object of class 'Profile Application'
`Property` `createProperty()` Returns a new object of class 'Property'
`ProtocolConformance` `createProtocolConformance()` Returns a new object of class 'Protocol Conformance'
`ProtocolStateMachine` `createProtocolStateMachine()` Returns a new object of class 'Protocol State Machine'
`ProtocolTransition` `createProtocolTransition()` Returns a new object of class 'Protocol Transition'
`Pseudostate` `createPseudostate()` Returns a new object of class 'Pseudostate'
`QualifierValue` `createQualifierValue()` Returns a new object of class 'Qualifier Value'
`RaiseExceptionAction` `createRaiseExceptionAction()` Returns a new object of class 'Raise Exception Action'
`ReadExtentAction` `createReadExtentAction()` Returns a new object of class 'Read Extent Action'
`ReadIsClassifiedObjectAction` `createReadIsClassifiedObjectAction()` Returns a new object of class 'Read Is Classified Object Action'
`ReadLinkAction` `createReadLinkAction()` Returns a new object of class 'Read Link Action'
`ReadLinkObjectEndAction` `createReadLinkObjectEndAction()` Returns a new object of class 'Read Link Object End Action'
`ReadLinkObjectEndQualifierAction` `createReadLinkObjectEndQualifierAction()` Returns a new object of class 'Read Link Object End Qualifier Action'
`ReadSelfAction` `createReadSelfAction()` Returns a new object of class 'Read Self Action'
`ReadStructuralFeatureAction` `createReadStructuralFeatureAction()` Returns a new object of class 'Read Structural Feature Action'
`ReadVariableAction` `createReadVariableAction()` Returns a new object of class 'Read Variable Action'
`Realization` `createRealization()` Returns a new object of class 'Realization'
`ReceiveOperationEvent` `createReceiveOperationEvent()` Returns a new object of class 'Receive Operation Event'
`ReceiveSignalEvent` `createReceiveSignalEvent()` Returns a new object of class 'Receive Signal Event'
`Reception` `createReception()` Returns a new object of class 'Reception'
`ReclassifyObjectAction` `createReclassifyObjectAction()` Returns a new object of class 'Reclassify Object Action'
`RedefinableTemplateSignature` `createRedefinableTemplateSignature()` Returns a new object of class 'Redefinable Template Signature'
`ReduceAction` `createReduceAction()` Returns a new object of class 'Reduce Action'
`Region` `createRegion()` Returns a new object of class 'Region'
`RemoveStructuralFeatureValueAction` `createRemoveStructuralFeatureValueAction()` Returns a new object of class 'Remove Structural Feature Value Action'
`RemoveVariableValueAction` `createRemoveVariableValueAction()` Returns a new object of class 'Remove Variable Value Action'
`ReplyAction` `createReplyAction()` Returns a new object of class 'Reply Action'
`SendObjectAction` `createSendObjectAction()` Returns a new object of class 'Send Object Action'
`SendOperationEvent` `createSendOperationEvent()` Returns a new object of class 'Send Operation Event'
`SendSignalAction` `createSendSignalAction()` Returns a new object of class 'Send Signal Action'
`SendSignalEvent` `createSendSignalEvent()` Returns a new object of class 'Send Signal Event'
`SequenceNode` `createSequenceNode()` Returns a new object of class 'Sequence Node'
`Signal` `createSignal()` Returns a new object of class 'Signal'
`SignalEvent` `createSignalEvent()` Returns a new object of class 'Signal Event'
`Slot` `createSlot()` Returns a new object of class 'Slot'
`StartClassifierBehaviorAction` `createStartClassifierBehaviorAction()` Returns a new object of class 'Start Classifier Behavior Action'
`StartObjectBehaviorAction` `createStartObjectBehaviorAction()` Returns a new object of class 'Start Object Behavior Action'
`State` `createState()` Returns a new object of class 'State'
`StateInvariant` `createStateInvariant()` Returns a new object of class 'State Invariant'
`StateMachine` `createStateMachine()` Returns a new object of class 'State Machine'
`Stereotype` `createStereotype()` Returns a new object of class 'Stereotype'
`StringExpression` `createStringExpression()` Returns a new object of class 'String Expression'
`StructuredActivityNode` `createStructuredActivityNode()` Returns a new object of class 'Structured Activity Node'
`Substitution` `createSubstitution()` Returns a new object of class 'Substitution'
`TemplateBinding` `createTemplateBinding()` Returns a new object of class 'Template Binding'
`TemplateParameter` `createTemplateParameter()` Returns a new object of class 'Template Parameter'
`TemplateParameterSubstitution` `createTemplateParameterSubstitution()` Returns a new object of class 'Template Parameter Substitution'
`TemplateSignature` `createTemplateSignature()` Returns a new object of class 'Template Signature'
`TestIdentityAction` `createTestIdentityAction()` Returns a new object of class 'Test Identity Action'
`TimeConstraint` `createTimeConstraint()` Returns a new object of class 'Time Constraint'
`TimeEvent` `createTimeEvent()` Returns a new object of class 'Time Event'
`TimeExpression` `createTimeExpression()` Returns a new object of class 'Time Expression'
`TimeInterval` `createTimeInterval()` Returns a new object of class 'Time Interval'
`TimeObservation` `createTimeObservation()` Returns a new object of class 'Time Observation'
`Transition` `createTransition()` Returns a new object of class 'Transition'
`Trigger` `createTrigger()` Returns a new object of class 'Trigger'
`UnmarshallAction` `createUnmarshallAction()` Returns a new object of class 'Unmarshall Action'
`Usage` `createUsage()` Returns a new object of class 'Usage'
`UseCase` `createUseCase()` Returns a new object of class 'Use Case'
`ValuePin` `createValuePin()` Returns a new object of class 'Value Pin'
`ValueSpecificationAction` `createValueSpecificationAction()` Returns a new object of class 'Value Specification Action'
`Variable` `createVariable()` Returns a new object of class 'Variable'
`UMLPackage` `getUMLPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final UMLFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createComment

    Comment createComment()

  Returns a new object of class 'Comment'.

  Returns:
    a new object of class 'Comment'.

### createDependency

    Dependency createDependency()

  Returns a new object of class 'Dependency'.

  Returns:
    a new object of class 'Dependency'.

### createTemplateParameter

    TemplateParameter createTemplateParameter()

  Returns a new object of class 'Template Parameter'.

  Returns:
    a new object of class 'Template Parameter'.

### createTemplateSignature

    TemplateSignature createTemplateSignature()

  Returns a new object of class 'Template Signature'.

  Returns:
    a new object of class 'Template Signature'.

### createTemplateBinding

    TemplateBinding createTemplateBinding()

  Returns a new object of class 'Template Binding'.

  Returns:
    a new object of class 'Template Binding'.

### createTemplateParameterSubstitution

    TemplateParameterSubstitution createTemplateParameterSubstitution()

  Returns a new object of class 'Template Parameter Substitution'.

  Returns:
    a new object of class 'Template Parameter Substitution'.

### createElementImport

    ElementImport createElementImport()

  Returns a new object of class 'Element Import'.

  Returns:
    a new object of class 'Element Import'.

### createPackageImport

    PackageImport createPackageImport()

  Returns a new object of class 'Package Import'.

  Returns:
    a new object of class 'Package Import'.

### createPackage

    Package createPackage()

  Returns a new object of class 'Package'.

  Returns:
    a new object of class 'Package'.

### createPackageMerge

    PackageMerge createPackageMerge()

  Returns a new object of class 'Package Merge'.

  Returns:
    a new object of class 'Package Merge'.

### createProfileApplication

    ProfileApplication createProfileApplication()

  Returns a new object of class 'Profile Application'.

  Returns:
    a new object of class 'Profile Application'.

### createProfile

    Profile createProfile()

  Returns a new object of class 'Profile'.

  Returns:
    a new object of class 'Profile'.

### createStereotype

    Stereotype createStereotype()

  Returns a new object of class 'Stereotype'.

  Returns:
    a new object of class 'Stereotype'.

### createImage

    Image createImage()

  Returns a new object of class 'Image'.

  Returns:
    a new object of class 'Image'.

### createClass

    Class createClass()

  Returns a new object of class 'Class'.

  Returns:
    a new object of class 'Class'.

### createGeneralization

    Generalization createGeneralization()

  Returns a new object of class 'Generalization'.

  Returns:
    a new object of class 'Generalization'.

### createGeneralizationSet

    GeneralizationSet createGeneralizationSet()

  Returns a new object of class 'Generalization Set'.

  Returns:
    a new object of class 'Generalization Set'.

### createUseCase

    UseCase createUseCase()

  Returns a new object of class 'Use Case'.

  Returns:
    a new object of class 'Use Case'.

### createInclude

    Include createInclude()

  Returns a new object of class 'Include'.

  Returns:
    a new object of class 'Include'.

### createExtend

    Extend createExtend()

  Returns a new object of class 'Extend'.

  Returns:
    a new object of class 'Extend'.

### createConstraint

    Constraint createConstraint()

  Returns a new object of class 'Constraint'.

  Returns:
    a new object of class 'Constraint'.

### createExtensionPoint

    ExtensionPoint createExtensionPoint()

  Returns a new object of class 'Extension Point'.

  Returns:
    a new object of class 'Extension Point'.

### createSubstitution

    Substitution createSubstitution()

  Returns a new object of class 'Substitution'.

  Returns:
    a new object of class 'Substitution'.

### createRealization

    Realization createRealization()

  Returns a new object of class 'Realization'.

  Returns:
    a new object of class 'Realization'.

### createAbstraction

    Abstraction createAbstraction()

  Returns a new object of class 'Abstraction'.

  Returns:
    a new object of class 'Abstraction'.

### createOpaqueExpression

    OpaqueExpression createOpaqueExpression()

  Returns a new object of class 'Opaque Expression'.

  Returns:
    a new object of class 'Opaque Expression'.

### createParameter

    Parameter createParameter()

  Returns a new object of class 'Parameter'.

  Returns:
    a new object of class 'Parameter'.

### createConnectorEnd

    ConnectorEnd createConnectorEnd()

  Returns a new object of class 'Connector End'.

  Returns:
    a new object of class 'Connector End'.

### createProperty

    Property createProperty()

  Returns a new object of class 'Property'.

  Returns:
    a new object of class 'Property'.

### createDeployment

    Deployment createDeployment()

  Returns a new object of class 'Deployment'.

  Returns:
    a new object of class 'Deployment'.

### createDeploymentSpecification

    DeploymentSpecification createDeploymentSpecification()

  Returns a new object of class 'Deployment Specification'.

  Returns:
    a new object of class 'Deployment Specification'.

### createArtifact

    Artifact createArtifact()

  Returns a new object of class 'Artifact'.

  Returns:
    a new object of class 'Artifact'.

### createManifestation

    Manifestation createManifestation()

  Returns a new object of class 'Manifestation'.

  Returns:
    a new object of class 'Manifestation'.

### createOperation

    Operation createOperation()

  Returns a new object of class 'Operation'.

  Returns:
    a new object of class 'Operation'.

### createParameterSet

    ParameterSet createParameterSet()

  Returns a new object of class 'Parameter Set'.

  Returns:
    a new object of class 'Parameter Set'.

### createDataType

    DataType createDataType()

  Returns a new object of class 'Data Type'.

  Returns:
    a new object of class 'Data Type'.

### createInterface

    Interface createInterface()

  Returns a new object of class 'Interface'.

  Returns:
    a new object of class 'Interface'.

### createReception

    Reception createReception()

  Returns a new object of class 'Reception'.

  Returns:
    a new object of class 'Reception'.

### createSignal

    Signal createSignal()

  Returns a new object of class 'Signal'.

  Returns:
    a new object of class 'Signal'.

### createProtocolStateMachine

    ProtocolStateMachine createProtocolStateMachine()

  Returns a new object of class 'Protocol State Machine'.

  Returns:
    a new object of class 'Protocol State Machine'.

### createStateMachine

    StateMachine createStateMachine()

  Returns a new object of class 'State Machine'.

  Returns:
    a new object of class 'State Machine'.

### createRegion

    Region createRegion()

  Returns a new object of class 'Region'.

  Returns:
    a new object of class 'Region'.

### createTransition

    Transition createTransition()

  Returns a new object of class 'Transition'.

  Returns:
    a new object of class 'Transition'.

### createTrigger

    Trigger createTrigger()

  Returns a new object of class 'Trigger'.

  Returns:
    a new object of class 'Trigger'.

### createPort

    Port createPort()

  Returns a new object of class 'Port'.

  Returns:
    a new object of class 'Port'.

### createState

    State createState()

  Returns a new object of class 'State'.

  Returns:
    a new object of class 'State'.

### createConnectionPointReference

    ConnectionPointReference createConnectionPointReference()

  Returns a new object of class 'Connection Point Reference'.

  Returns:
    a new object of class 'Connection Point Reference'.

### createPseudostate

    Pseudostate createPseudostate()

  Returns a new object of class 'Pseudostate'.

  Returns:
    a new object of class 'Pseudostate'.

### createProtocolConformance

    ProtocolConformance createProtocolConformance()

  Returns a new object of class 'Protocol Conformance'.

  Returns:
    a new object of class 'Protocol Conformance'.

### createOperationTemplateParameter

    OperationTemplateParameter createOperationTemplateParameter()

  Returns a new object of class 'Operation Template Parameter'.

  Returns:
    a new object of class 'Operation Template Parameter'.

### createAssociation

    Association createAssociation()

  Returns a new object of class 'Association'.

  Returns:
    a new object of class 'Association'.

### createConnectableElementTemplateParameter

    ConnectableElementTemplateParameter createConnectableElementTemplateParameter()

  Returns a new object of class 'Connectable Element Template Parameter'.

  Returns:
    a new object of class 'Connectable Element Template Parameter'.

### createCollaborationUse

    CollaborationUse createCollaborationUse()

  Returns a new object of class 'Collaboration Use'.

  Returns:
    a new object of class 'Collaboration Use'.

### createCollaboration

    Collaboration createCollaboration()

  Returns a new object of class 'Collaboration'.

  Returns:
    a new object of class 'Collaboration'.

### createConnector

    Connector createConnector()

  Returns a new object of class 'Connector'.

  Returns:
    a new object of class 'Connector'.

### createRedefinableTemplateSignature

    RedefinableTemplateSignature createRedefinableTemplateSignature()

  Returns a new object of class 'Redefinable Template Signature'.

  Returns:
    a new object of class 'Redefinable Template Signature'.

### createClassifierTemplateParameter

    ClassifierTemplateParameter createClassifierTemplateParameter()

  Returns a new object of class 'Classifier Template Parameter'.

  Returns:
    a new object of class 'Classifier Template Parameter'.

### createInterfaceRealization

    InterfaceRealization createInterfaceRealization()

  Returns a new object of class 'Interface Realization'.

  Returns:
    a new object of class 'Interface Realization'.

### createExtension

    Extension createExtension()

  Returns a new object of class 'Extension'.

  Returns:
    a new object of class 'Extension'.

### createExtensionEnd

    ExtensionEnd createExtensionEnd()

  Returns a new object of class 'Extension End'.

  Returns:
    a new object of class 'Extension End'.

### createStringExpression

    StringExpression createStringExpression()

  Returns a new object of class 'String Expression'.

  Returns:
    a new object of class 'String Expression'.

### createExpression

    Expression createExpression()

  Returns a new object of class 'Expression'.

  Returns:
    a new object of class 'Expression'.

### createLiteralInteger

    LiteralInteger createLiteralInteger()

  Returns a new object of class 'Literal Integer'.

  Returns:
    a new object of class 'Literal Integer'.

### createLiteralString

    LiteralString createLiteralString()

  Returns a new object of class 'Literal String'.

  Returns:
    a new object of class 'Literal String'.

### createLiteralBoolean

    LiteralBoolean createLiteralBoolean()

  Returns a new object of class 'Literal Boolean'.

  Returns:
    a new object of class 'Literal Boolean'.

### createLiteralNull

    LiteralNull createLiteralNull()

  Returns a new object of class 'Literal Null'.

  Returns:
    a new object of class 'Literal Null'.

### createSlot

    Slot createSlot()

  Returns a new object of class 'Slot'.

  Returns:
    a new object of class 'Slot'.

### createInstanceSpecification

    InstanceSpecification createInstanceSpecification()

  Returns a new object of class 'Instance Specification'.

  Returns:
    a new object of class 'Instance Specification'.

### createEnumeration

    Enumeration createEnumeration()

  Returns a new object of class 'Enumeration'.

  Returns:
    a new object of class 'Enumeration'.

### createEnumerationLiteral

    EnumerationLiteral createEnumerationLiteral()

  Returns a new object of class 'Enumeration Literal'.

  Returns:
    a new object of class 'Enumeration Literal'.

### createPrimitiveType

    PrimitiveType createPrimitiveType()

  Returns a new object of class 'Primitive Type'.

  Returns:
    a new object of class 'Primitive Type'.

### createInstanceValue

    InstanceValue createInstanceValue()

  Returns a new object of class 'Instance Value'.

  Returns:
    a new object of class 'Instance Value'.

### createLiteralUnlimitedNatural

    LiteralUnlimitedNatural createLiteralUnlimitedNatural()

  Returns a new object of class 'Literal Unlimited Natural'.

  Returns:
    a new object of class 'Literal Unlimited Natural'.

### createOpaqueBehavior

    OpaqueBehavior createOpaqueBehavior()

  Returns a new object of class 'Opaque Behavior'.

  Returns:
    a new object of class 'Opaque Behavior'.

### createFunctionBehavior

    FunctionBehavior createFunctionBehavior()

  Returns a new object of class 'Function Behavior'.

  Returns:
    a new object of class 'Function Behavior'.

### createActor

    Actor createActor()

  Returns a new object of class 'Actor'.

  Returns:
    a new object of class 'Actor'.

### createUsage

    Usage createUsage()

  Returns a new object of class 'Usage'.

  Returns:
    a new object of class 'Usage'.

### createMessage

    Message createMessage()

  Returns a new object of class 'Message'.

  Returns:
    a new object of class 'Message'.

### createInteraction

    Interaction createInteraction()

  Returns a new object of class 'Interaction'.

  Returns:
    a new object of class 'Interaction'.

### createLifeline

    Lifeline createLifeline()

  Returns a new object of class 'Lifeline'.

  Returns:
    a new object of class 'Lifeline'.

### createPartDecomposition

    PartDecomposition createPartDecomposition()

  Returns a new object of class 'Part Decomposition'.

  Returns:
    a new object of class 'Part Decomposition'.

### createInteractionUse

    InteractionUse createInteractionUse()

  Returns a new object of class 'Interaction Use'.

  Returns:
    a new object of class 'Interaction Use'.

### createGate

    Gate createGate()

  Returns a new object of class 'Gate'.

  Returns:
    a new object of class 'Gate'.

### createActivity

    Activity createActivity()

  Returns a new object of class 'Activity'.

  Returns:
    a new object of class 'Activity'.

### createActivityPartition

    ActivityPartition createActivityPartition()

  Returns a new object of class 'Activity Partition'.

  Returns:
    a new object of class 'Activity Partition'.

### createStructuredActivityNode

    StructuredActivityNode createStructuredActivityNode()

  Returns a new object of class 'Structured Activity Node'.

  Returns:
    a new object of class 'Structured Activity Node'.

### createVariable

    Variable createVariable()

  Returns a new object of class 'Variable'.

  Returns:
    a new object of class 'Variable'.

### createInterruptibleActivityRegion

    InterruptibleActivityRegion createInterruptibleActivityRegion()

  Returns a new object of class 'Interruptible Activity Region'.

  Returns:
    a new object of class 'Interruptible Activity Region'.

### createExceptionHandler

    ExceptionHandler createExceptionHandler()

  Returns a new object of class 'Exception Handler'.

  Returns:
    a new object of class 'Exception Handler'.

### createOutputPin

    OutputPin createOutputPin()

  Returns a new object of class 'Output Pin'.

  Returns:
    a new object of class 'Output Pin'.

### createPin

    Pin createPin()

  Returns a new object of class 'Pin'.

  Returns:
    a new object of class 'Pin'.

### createInputPin

    InputPin createInputPin()

  Returns a new object of class 'Input Pin'.

  Returns:
    a new object of class 'Input Pin'.

### createGeneralOrdering

    GeneralOrdering createGeneralOrdering()

  Returns a new object of class 'General Ordering'.

  Returns:
    a new object of class 'General Ordering'.

### createOccurrenceSpecification

    OccurrenceSpecification createOccurrenceSpecification()

  Returns a new object of class 'Occurrence Specification'.

  Returns:
    a new object of class 'Occurrence Specification'.

### createInteractionOperand

    InteractionOperand createInteractionOperand()

  Returns a new object of class 'Interaction Operand'.

  Returns:
    a new object of class 'Interaction Operand'.

### createInteractionConstraint

    InteractionConstraint createInteractionConstraint()

  Returns a new object of class 'Interaction Constraint'.

  Returns:
    a new object of class 'Interaction Constraint'.

### createExecutionOccurrenceSpecification

    ExecutionOccurrenceSpecification createExecutionOccurrenceSpecification()

  Returns a new object of class 'Execution Occurrence Specification'.

  Returns:
    a new object of class 'Execution Occurrence Specification'.

### createExecutionEvent

    ExecutionEvent createExecutionEvent()

  Returns a new object of class 'Execution Event'.

  Returns:
    a new object of class 'Execution Event'.

### createStateInvariant

    StateInvariant createStateInvariant()

  Returns a new object of class 'State Invariant'.

  Returns:
    a new object of class 'State Invariant'.

### createActionExecutionSpecification

    ActionExecutionSpecification createActionExecutionSpecification()

  Returns a new object of class 'Action Execution Specification'.

  Returns:
    a new object of class 'Action Execution Specification'.

### createBehaviorExecutionSpecification

    BehaviorExecutionSpecification createBehaviorExecutionSpecification()

  Returns a new object of class 'Behavior Execution Specification'.

  Returns:
    a new object of class 'Behavior Execution Specification'.

### createCreationEvent

    CreationEvent createCreationEvent()

  Returns a new object of class 'Creation Event'.

  Returns:
    a new object of class 'Creation Event'.

### createDestructionEvent

    DestructionEvent createDestructionEvent()

  Returns a new object of class 'Destruction Event'.

  Returns:
    a new object of class 'Destruction Event'.

### createSendOperationEvent

    SendOperationEvent createSendOperationEvent()

  Returns a new object of class 'Send Operation Event'.

  Returns:
    a new object of class 'Send Operation Event'.

### createSendSignalEvent

    SendSignalEvent createSendSignalEvent()

  Returns a new object of class 'Send Signal Event'.

  Returns:
    a new object of class 'Send Signal Event'.

### createMessageOccurrenceSpecification

    MessageOccurrenceSpecification createMessageOccurrenceSpecification()

  Returns a new object of class 'Message Occurrence Specification'.

  Returns:
    a new object of class 'Message Occurrence Specification'.

### createReceiveOperationEvent

    ReceiveOperationEvent createReceiveOperationEvent()

  Returns a new object of class 'Receive Operation Event'.

  Returns:
    a new object of class 'Receive Operation Event'.

### createReceiveSignalEvent

    ReceiveSignalEvent createReceiveSignalEvent()

  Returns a new object of class 'Receive Signal Event'.

  Returns:
    a new object of class 'Receive Signal Event'.

### createCombinedFragment

    CombinedFragment createCombinedFragment()

  Returns a new object of class 'Combined Fragment'.

  Returns:
    a new object of class 'Combined Fragment'.

### createContinuation

    Continuation createContinuation()

  Returns a new object of class 'Continuation'.

  Returns:
    a new object of class 'Continuation'.

### createConsiderIgnoreFragment

    ConsiderIgnoreFragment createConsiderIgnoreFragment()

  Returns a new object of class 'Consider Ignore Fragment'.

  Returns:
    a new object of class 'Consider Ignore Fragment'.

### createCallEvent

    CallEvent createCallEvent()

  Returns a new object of class 'Call Event'.

  Returns:
    a new object of class 'Call Event'.

### createChangeEvent

    ChangeEvent createChangeEvent()

  Returns a new object of class 'Change Event'.

  Returns:
    a new object of class 'Change Event'.

### createSignalEvent

    SignalEvent createSignalEvent()

  Returns a new object of class 'Signal Event'.

  Returns:
    a new object of class 'Signal Event'.

### createAnyReceiveEvent

    AnyReceiveEvent createAnyReceiveEvent()

  Returns a new object of class 'Any Receive Event'.

  Returns:
    a new object of class 'Any Receive Event'.

### createCreateObjectAction

    CreateObjectAction createCreateObjectAction()

  Returns a new object of class 'Create Object Action'.

  Returns:
    a new object of class 'Create Object Action'.

### createDestroyObjectAction

    DestroyObjectAction createDestroyObjectAction()

  Returns a new object of class 'Destroy Object Action'.

  Returns:
    a new object of class 'Destroy Object Action'.

### createTestIdentityAction

    TestIdentityAction createTestIdentityAction()

  Returns a new object of class 'Test Identity Action'.

  Returns:
    a new object of class 'Test Identity Action'.

### createReadSelfAction

    ReadSelfAction createReadSelfAction()

  Returns a new object of class 'Read Self Action'.

  Returns:
    a new object of class 'Read Self Action'.

### createReadStructuralFeatureAction

    ReadStructuralFeatureAction createReadStructuralFeatureAction()

  Returns a new object of class 'Read Structural Feature Action'.

  Returns:
    a new object of class 'Read Structural Feature Action'.

### createClearStructuralFeatureAction

    ClearStructuralFeatureAction createClearStructuralFeatureAction()

  Returns a new object of class 'Clear Structural Feature Action'.

  Returns:
    a new object of class 'Clear Structural Feature Action'.

### createRemoveStructuralFeatureValueAction

    RemoveStructuralFeatureValueAction createRemoveStructuralFeatureValueAction()

  Returns a new object of class 'Remove Structural Feature Value Action'.

  Returns:
    a new object of class 'Remove Structural Feature Value Action'.

### createAddStructuralFeatureValueAction

    AddStructuralFeatureValueAction createAddStructuralFeatureValueAction()

  Returns a new object of class 'Add Structural Feature Value Action'.

  Returns:
    a new object of class 'Add Structural Feature Value Action'.

### createLinkEndData

    LinkEndData createLinkEndData()

  Returns a new object of class 'Link End Data'.

  Returns:
    a new object of class 'Link End Data'.

### createQualifierValue

    QualifierValue createQualifierValue()

  Returns a new object of class 'Qualifier Value'.

  Returns:
    a new object of class 'Qualifier Value'.

### createReadLinkAction

    ReadLinkAction createReadLinkAction()

  Returns a new object of class 'Read Link Action'.

  Returns:
    a new object of class 'Read Link Action'.

### createLinkEndCreationData

    LinkEndCreationData createLinkEndCreationData()

  Returns a new object of class 'Link End Creation Data'.

  Returns:
    a new object of class 'Link End Creation Data'.

### createCreateLinkAction

    CreateLinkAction createCreateLinkAction()

  Returns a new object of class 'Create Link Action'.

  Returns:
    a new object of class 'Create Link Action'.

### createDestroyLinkAction

    DestroyLinkAction createDestroyLinkAction()

  Returns a new object of class 'Destroy Link Action'.

  Returns:
    a new object of class 'Destroy Link Action'.

### createLinkEndDestructionData

    LinkEndDestructionData createLinkEndDestructionData()

  Returns a new object of class 'Link End Destruction Data'.

  Returns:
    a new object of class 'Link End Destruction Data'.

### createClearAssociationAction

    ClearAssociationAction createClearAssociationAction()

  Returns a new object of class 'Clear Association Action'.

  Returns:
    a new object of class 'Clear Association Action'.

### createBroadcastSignalAction

    BroadcastSignalAction createBroadcastSignalAction()

  Returns a new object of class 'Broadcast Signal Action'.

  Returns:
    a new object of class 'Broadcast Signal Action'.

### createSendObjectAction

    SendObjectAction createSendObjectAction()

  Returns a new object of class 'Send Object Action'.

  Returns:
    a new object of class 'Send Object Action'.

### createValueSpecificationAction

    ValueSpecificationAction createValueSpecificationAction()

  Returns a new object of class 'Value Specification Action'.

  Returns:
    a new object of class 'Value Specification Action'.

### createTimeExpression

    TimeExpression createTimeExpression()

  Returns a new object of class 'Time Expression'.

  Returns:
    a new object of class 'Time Expression'.

### createDuration

    Duration createDuration()

  Returns a new object of class 'Duration'.

  Returns:
    a new object of class 'Duration'.

### createValuePin

    ValuePin createValuePin()

  Returns a new object of class 'Value Pin'.

  Returns:
    a new object of class 'Value Pin'.

### createDurationInterval

    DurationInterval createDurationInterval()

  Returns a new object of class 'Duration Interval'.

  Returns:
    a new object of class 'Duration Interval'.

### createInterval

    Interval createInterval()

  Returns a new object of class 'Interval'.

  Returns:
    a new object of class 'Interval'.

### createTimeConstraint

    TimeConstraint createTimeConstraint()

  Returns a new object of class 'Time Constraint'.

  Returns:
    a new object of class 'Time Constraint'.

### createIntervalConstraint

    IntervalConstraint createIntervalConstraint()

  Returns a new object of class 'Interval Constraint'.

  Returns:
    a new object of class 'Interval Constraint'.

### createTimeInterval

    TimeInterval createTimeInterval()

  Returns a new object of class 'Time Interval'.

  Returns:
    a new object of class 'Time Interval'.

### createDurationConstraint

    DurationConstraint createDurationConstraint()

  Returns a new object of class 'Duration Constraint'.

  Returns:
    a new object of class 'Duration Constraint'.

### createTimeObservation

    TimeObservation createTimeObservation()

  Returns a new object of class 'Time Observation'.

  Returns:
    a new object of class 'Time Observation'.

### createDurationObservation

    DurationObservation createDurationObservation()

  Returns a new object of class 'Duration Observation'.

  Returns:
    a new object of class 'Duration Observation'.

### createOpaqueAction

    OpaqueAction createOpaqueAction()

  Returns a new object of class 'Opaque Action'.

  Returns:
    a new object of class 'Opaque Action'.

### createSendSignalAction

    SendSignalAction createSendSignalAction()

  Returns a new object of class 'Send Signal Action'.

  Returns:
    a new object of class 'Send Signal Action'.

### createCallOperationAction

    CallOperationAction createCallOperationAction()

  Returns a new object of class 'Call Operation Action'.

  Returns:
    a new object of class 'Call Operation Action'.

### createCallBehaviorAction

    CallBehaviorAction createCallBehaviorAction()

  Returns a new object of class 'Call Behavior Action'.

  Returns:
    a new object of class 'Call Behavior Action'.

### createInformationItem

    InformationItem createInformationItem()

  Returns a new object of class 'Information Item'.

  Returns:
    a new object of class 'Information Item'.

### createInformationFlow

    InformationFlow createInformationFlow()

  Returns a new object of class 'Information Flow'.

  Returns:
    a new object of class 'Information Flow'.

### createModel

    Model createModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createReadVariableAction

    ReadVariableAction createReadVariableAction()

  Returns a new object of class 'Read Variable Action'.

  Returns:
    a new object of class 'Read Variable Action'.

### createClearVariableAction

    ClearVariableAction createClearVariableAction()

  Returns a new object of class 'Clear Variable Action'.

  Returns:
    a new object of class 'Clear Variable Action'.

### createAddVariableValueAction

    AddVariableValueAction createAddVariableValueAction()

  Returns a new object of class 'Add Variable Value Action'.

  Returns:
    a new object of class 'Add Variable Value Action'.

### createRemoveVariableValueAction

    RemoveVariableValueAction createRemoveVariableValueAction()

  Returns a new object of class 'Remove Variable Value Action'.

  Returns:
    a new object of class 'Remove Variable Value Action'.

### createRaiseExceptionAction

    RaiseExceptionAction createRaiseExceptionAction()

  Returns a new object of class 'Raise Exception Action'.

  Returns:
    a new object of class 'Raise Exception Action'.

### createActionInputPin

    ActionInputPin createActionInputPin()

  Returns a new object of class 'Action Input Pin'.

  Returns:
    a new object of class 'Action Input Pin'.

### createReadExtentAction

    ReadExtentAction createReadExtentAction()

  Returns a new object of class 'Read Extent Action'.

  Returns:
    a new object of class 'Read Extent Action'.

### createReclassifyObjectAction

    ReclassifyObjectAction createReclassifyObjectAction()

  Returns a new object of class 'Reclassify Object Action'.

  Returns:
    a new object of class 'Reclassify Object Action'.

### createReadIsClassifiedObjectAction

    ReadIsClassifiedObjectAction createReadIsClassifiedObjectAction()

  Returns a new object of class 'Read Is Classified Object Action'.

  Returns:
    a new object of class 'Read Is Classified Object Action'.

### createStartClassifierBehaviorAction

    StartClassifierBehaviorAction createStartClassifierBehaviorAction()

  Returns a new object of class 'Start Classifier Behavior Action'.

  Returns:
    a new object of class 'Start Classifier Behavior Action'.

### createReadLinkObjectEndAction

    ReadLinkObjectEndAction createReadLinkObjectEndAction()

  Returns a new object of class 'Read Link Object End Action'.

  Returns:
    a new object of class 'Read Link Object End Action'.

### createReadLinkObjectEndQualifierAction

    ReadLinkObjectEndQualifierAction createReadLinkObjectEndQualifierAction()

  Returns a new object of class 'Read Link Object End Qualifier Action'.

  Returns:
    a new object of class 'Read Link Object End Qualifier Action'.

### createCreateLinkObjectAction

    CreateLinkObjectAction createCreateLinkObjectAction()

  Returns a new object of class 'Create Link Object Action'.

  Returns:
    a new object of class 'Create Link Object Action'.

### createAcceptEventAction

    AcceptEventAction createAcceptEventAction()

  Returns a new object of class 'Accept Event Action'.

  Returns:
    a new object of class 'Accept Event Action'.

### createAcceptCallAction

    AcceptCallAction createAcceptCallAction()

  Returns a new object of class 'Accept Call Action'.

  Returns:
    a new object of class 'Accept Call Action'.

### createReplyAction

    ReplyAction createReplyAction()

  Returns a new object of class 'Reply Action'.

  Returns:
    a new object of class 'Reply Action'.

### createUnmarshallAction

    UnmarshallAction createUnmarshallAction()

  Returns a new object of class 'Unmarshall Action'.

  Returns:
    a new object of class 'Unmarshall Action'.

### createReduceAction

    ReduceAction createReduceAction()

  Returns a new object of class 'Reduce Action'.

  Returns:
    a new object of class 'Reduce Action'.

### createStartObjectBehaviorAction

    StartObjectBehaviorAction createStartObjectBehaviorAction()

  Returns a new object of class 'Start Object Behavior Action'.

  Returns:
    a new object of class 'Start Object Behavior Action'.

### createControlFlow

    ControlFlow createControlFlow()

  Returns a new object of class 'Control Flow'.

  Returns:
    a new object of class 'Control Flow'.

### createInitialNode

    InitialNode createInitialNode()

  Returns a new object of class 'Initial Node'.

  Returns:
    a new object of class 'Initial Node'.

### createActivityParameterNode

    ActivityParameterNode createActivityParameterNode()

  Returns a new object of class 'Activity Parameter Node'.

  Returns:
    a new object of class 'Activity Parameter Node'.

### createForkNode

    ForkNode createForkNode()

  Returns a new object of class 'Fork Node'.

  Returns:
    a new object of class 'Fork Node'.

### createFlowFinalNode

    FlowFinalNode createFlowFinalNode()

  Returns a new object of class 'Flow Final Node'.

  Returns:
    a new object of class 'Flow Final Node'.

### createCentralBufferNode

    CentralBufferNode createCentralBufferNode()

  Returns a new object of class 'Central Buffer Node'.

  Returns:
    a new object of class 'Central Buffer Node'.

### createMergeNode

    MergeNode createMergeNode()

  Returns a new object of class 'Merge Node'.

  Returns:
    a new object of class 'Merge Node'.

### createDecisionNode

    DecisionNode createDecisionNode()

  Returns a new object of class 'Decision Node'.

  Returns:
    a new object of class 'Decision Node'.

### createActivityFinalNode

    ActivityFinalNode createActivityFinalNode()

  Returns a new object of class 'Activity Final Node'.

  Returns:
    a new object of class 'Activity Final Node'.

### createJoinNode

    JoinNode createJoinNode()

  Returns a new object of class 'Join Node'.

  Returns:
    a new object of class 'Join Node'.

### createDataStoreNode

    DataStoreNode createDataStoreNode()

  Returns a new object of class 'Data Store Node'.

  Returns:
    a new object of class 'Data Store Node'.

### createObjectFlow

    ObjectFlow createObjectFlow()

  Returns a new object of class 'Object Flow'.

  Returns:
    a new object of class 'Object Flow'.

### createSequenceNode

    SequenceNode createSequenceNode()

  Returns a new object of class 'Sequence Node'.

  Returns:
    a new object of class 'Sequence Node'.

### createConditionalNode

    ConditionalNode createConditionalNode()

  Returns a new object of class 'Conditional Node'.

  Returns:
    a new object of class 'Conditional Node'.

### createClause

    Clause createClause()

  Returns a new object of class 'Clause'.

  Returns:
    a new object of class 'Clause'.

### createLoopNode

    LoopNode createLoopNode()

  Returns a new object of class 'Loop Node'.

  Returns:
    a new object of class 'Loop Node'.

### createExpansionNode

    ExpansionNode createExpansionNode()

  Returns a new object of class 'Expansion Node'.

  Returns:
    a new object of class 'Expansion Node'.

### createExpansionRegion

    ExpansionRegion createExpansionRegion()

  Returns a new object of class 'Expansion Region'.

  Returns:
    a new object of class 'Expansion Region'.

### createComponentRealization

    ComponentRealization createComponentRealization()

  Returns a new object of class 'Component Realization'.

  Returns:
    a new object of class 'Component Realization'.

### createComponent

    Component createComponent()

  Returns a new object of class 'Component'.

  Returns:
    a new object of class 'Component'.

### createNode

    Node createNode()

  Returns a new object of class 'Node'.

  Returns:
    a new object of class 'Node'.

### createDevice

    Device createDevice()

  Returns a new object of class 'Device'.

  Returns:
    a new object of class 'Device'.

### createExecutionEnvironment

    ExecutionEnvironment createExecutionEnvironment()

  Returns a new object of class 'Execution Environment'.

  Returns:
    a new object of class 'Execution Environment'.

### createCommunicationPath

    CommunicationPath createCommunicationPath()

  Returns a new object of class 'Communication Path'.

  Returns:
    a new object of class 'Communication Path'.

### createFinalState

    FinalState createFinalState()

  Returns a new object of class 'Final State'.

  Returns:
    a new object of class 'Final State'.

### createTimeEvent

    TimeEvent createTimeEvent()

  Returns a new object of class 'Time Event'.

  Returns:
    a new object of class 'Time Event'.

### createProtocolTransition

    ProtocolTransition createProtocolTransition()

  Returns a new object of class 'Protocol Transition'.

  Returns:
    a new object of class 'Protocol Transition'.

### createAssociationClass

    AssociationClass createAssociationClass()

  Returns a new object of class 'Association Class'.

  Returns:
    a new object of class 'Association Class'.

### getUMLPackage

    UMLPackage getUMLPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.